sonata_media:
    db_driver: doctrine_orm
    class:
        media: App\Entity\SonataMediaMedia
        gallery: App\Entity\SonataMediaGallery
        gallery_item: App\Entity\SonataMediaGalleryItem

    default_context: default

    adapters:
        default: sonata.media.adapter.image.imagick

    contexts:
        default:
            providers:
                - sonata.media.provider.youtube
                - sonata.media.provider.image
                - sonata.media.provider.file

            formats:
                small: { width: 100 , quality: 100, resizer: sonata.media.resizer.simple}


        szemely:
            providers:
                - sonata.media.provider.image

            formats:
                small: { height: 100 , quality: 100 }

        dializis_kozpont:
            providers:
                - sonata.media.provider.image

            formats:
                small: { height: 100 , quality: 100 }

        banner:
            providers:
                - sonata.media.provider.image

            formats:
                full_width:   { width: 1000 , quality: 100, resizer: sonata.media.resizer.simple}

        recept:
            providers:
                - sonata.media.provider.image

            formats:
                full_width: { width: 620 , quality: 100, resizer: sonata.media.resizer.simple }

    cdn:
        server:
            path: /uploads/media

    filesystem:
        local:
            # Directory for uploads should be writable
            directory: "%kernel.project_dir%/public/uploads/media"
            create: false